SDL_PumpEvents(3)

NAME
SDL_PumpEvents - Pump the event loop, gathering events from the input devices.

SYNOPSIS
#include <SDL3/SDL_events.h>

void SDL_PumpEvents(void);

DESCRIPTION
This function updates the event queue and internal input device state.

SDL_PumpEvents() gathers all the pending input information from devices and places it in the event queue. Without calls to SDL_PumpEvents() no events would ever be placed on the queue. Often the need for calls to SDL_PumpEvents() is hidden from the user since SDL_PollEvent() and SDL_WaitEvent() implicitly call SDL_PumpEvents(). However, if you are not polling or waiting for events (e.g. you are filtering them), then you must call SDL_PumpEvents() to force an event queue update.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_PollEvent(3), SDL_WaitEvent(3)